# $Revision: 1.19 $, $Date: 2001/06/28 23:51:07 $
Summary:	A MIDI sound file player
Summary(de):	Zum Abspielen von midi-Dateien auf FM-, GUS- und MIDI-Gerten
Summary(fr):	Joue des fichiers midi sur des priphriques FM, GUS et MIDI
Summary(pl):	Odtwarzacz plikw MIDI
Summary(tr):	FM, GUS ve MIDI aygtlar zerindeki midi dosyalarn alar
Name:		playmidi
Version:	2.4
Release:	11
License:	GPL
Group:		Applications/Sound
Group(de):	Applikationen/Laut
Group(pl):	Aplikacje/Dwik
Source0:	ftp://ftp.linpeople.org/pub/People/nathan/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}-hertz.patch
Patch1:		%{name}-make.patch
Patch2:		%{name}-midimap.patch
Patch3:		%{name}-glibconfig.patch
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	gtk+-devel
%ifarch %ix86
BuildRequires:	svgalib-devel
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/midi
%define		_xbindir	/usr/X11R6/bin

%description
Playmidi plays MIDI (Musicial Instrument Digital Interface) sound
files through a sound card synthesizer. This package includes basic
drum samples for use with simple FM synthesizers. Install playmidi if
you want to play MIDI files using your computer's sound card.

%description -l de
Spielt MIDI-Sounddateien ber einen Soundkarten-Synthesizer ab.
Enthlt einfache Schlagzeug-Samples fr einfache FM-Synthesizer.

%description -l fr
Programme X pour jouer des fichiers MIDI par le synthtiseur d'une
carte son. Il contient des exemples de batterie de base pour les
synthtiseurs FM simples.

%description -l pl
Playmidi odtwarza pliki MIDI poprzez syntetyzer karty dwikowej.
Pakiet zawiera podstawowe instrumenty perkusyjne do wykorzystania z
prostymi syntetyzerami FM.

%description -l tr
Bir ses kartnn ses birletiricisi araclyla MIDI ses dosyalarn
alar. FM ses birletirici ile kullanm iin ana davul sesi rnekler
ierir.

%package X11
Summary:	An X Window System based MIDI sound file player.
Summary(de):	X-Windows-Schnittstelle fr den MIDI-Soundplayer
Summary(pl):	Odtwarzacz plikw MIDI dla systemu X Window
Summary(tr):	MIDI ses alc iin X arayz
Group:		X11/Applications/Multimedia
Group(de):	X11/Applikationen/Multimedia
Group(pl):	X11/Aplikacje/Multimedia
Requires:	%{name} = %{version}

%description X11
Playmidi-X11 provides an X Window System interface for playing MIDI
(Musical Instrument Digital Interface) sound files through a sound
card synthesizer. Install playmidi-X11 if you want to use an X
interface to play MIDI sound files using your computer's sound card.

%description -l de X11
X-Programm zum Abspielen von MIDI-Sounddateien ber einen Soundkarten-
Synthesizer. Enthlt einfache Schlagzeug-Samples fr einfache
FM-Synthesizers.

%description -l fr X11
Programme X pour jouer des fichiers MIDI par le synthtiseur d'une
carte son. Il contient des exemples de batterie de base pour les
synthtiseurs FM simples.

%description -l pl X11
Playmidi-X11 dostarcza interfejs opary o system X Window umoliwiajcy
odtwarzanie plikw MIDI poprzez kart dwikow.

%description -l tr X11
MIDI ses dosyalarn alan playmidi uygulamasnn X arayz.

%package svga
Summary:	An SVGAlib based MIDI sound file player
Summary(pl):	Odtwarzacz plikw MIDI wykorzystujcy SVGAlib
Group:		Applications/Sound
Group(de):	Applikationen/Laut
Group(pl):	Aplikacje/Dwik
Requires:	%{name} = %{version}

%description svga
Playmidi-svga provides an SVGAlib interface for playing MIDI (Musical
Instrument Digital Interface) sound files through a sound card
synthesizer. Install playmidi-svga if you want to use an SVGAlib
interface to play MIDI sound files using your computer's sound card.

%description -l pl svga
Playmidi-svga dostarcza interfejs oparty o SVGAlib umoliwiajcy
odtwarzanie plikw MIDI poprzez kart dwikow.

%prep
%setup -q
# awe_voice.h is now part of the kernel source.
rm -f awe_voice.h
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
#PATH=.:$PATH

%ifarch %ix86
%{__make} OPT_FLAGS="%{rpmcflags}" playmidi splaymidi xplaymidi <<EOF
2
EOF
%else
%{__make} OPT_FLAGS="%{rpmcflags}" playmidi xplaymidi <<EOF
2
EOF
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_mandir}/man1,%{_sysconfdir}} \
	$RPM_BUILD_ROOT{%{_bindir},%{_prefix}/X11R6/{bin,lib/X11/app-defaults}} \
	$RPM_BUILD_ROOT%{_applnkdir}/Multimedia

%{__install} playmidi $RPM_BUILD_ROOT%{_bindir}
%{__install} xplaymidi $RPM_BUILD_ROOT%{_xbindir}
%{__install} XPlaymidi.ad $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/app-defaults/XPlaymidi
%{__install} std.o3 drums.o3 std.sb drums.sb $RPM_BUILD_ROOT%{_sysconfdir}
%{__install} %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Multimedia

%ifarch %ix86
%{__install} splaymidi $RPM_BUILD_ROOT%{_bindir}
%endif

%{__install} playmidi.1 $RPM_BUILD_ROOT%{_mandir}/man1
echo ".so playmidi.1" > $RPM_BUILD_ROOT%{_mandir}/man1/splaymidi.1

gzip -9nf BUGS QuickStart

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/playmidi
%dir %{_sysconfdir}
%config %{_sysconfdir}/std.o3
%config %{_sysconfdir}/std.sb
%config %{_sysconfdir}/drums.o3
%config %{_sysconfdir}/drums.sb
%{_mandir}/man1/playmidi.1*

%files X11
%defattr(644,root,root,755)
%config %{_prefix}/X11R6/lib/X11/app-defaults/XPlaymidi
%attr(755,root,root) %{_xbindir}/xplaymidi
%{_applnkdir}/Multimedia/*

%ifarch %ix86
%files svga
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/splaymidi
%{_mandir}/man1/splaymidi.1*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: playmidi.spec,v $
Revision 1.19  2001/06/28 23:51:07  kloczek
- typo in %install.

Revision 1.18  2001/06/25 07:16:28  kloczek
- release 11,
- added desktop file for xplaymidi and few other cleanups.

Revision 1.17  2001/05/02 21:51:26  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.16  2000/09/06 11:32:55  kloczek
- adapterized.

Revision 1.15  2000/07/13 23:19:47  baggins
- release 10
- rebuild with ncurses 5.1

Revision 1.14  2000/06/30 09:36:22  qboosh
- removed suid from splaymidi (no longer necessary with svgalib >=1.9)

Revision 1.13  2000/06/09 07:23:46  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/06/07 04:31:54  kloczek
- spec adapterized.

Revision 1.11  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.10  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.9  2000/04/01 11:15:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/02 23:02:03  mkochano
- RPM_OPT_FLAGS removed from Makefile (replaced by OPT_FLAGS).
- gtk support is still not working (needs gtk-1.1). If I find some time I'll
  try to upgrade it to gtk-1.2.

Revision 1.7  2000/01/31 00:53:39  kloczek
- next typo (#$!).

Revision 1.6  2000/01/31 00:51:16  kloczek
- typo.

Revision 1.5  2000/01/31 00:48:38  kloczek
- moce splaymidi(1) man page to svga.

Revision 1.4  2000/01/31 00:47:43  kloczek
- fixed paths with %%{_sysconfdir},
- added .so groff link with splaymidi man page.

Revision 1.3  2000/01/31 00:40:21  kloczek
- release 9 (in rawhide is 8),
- spec adapterized,
- added de, fr, tr translations from BeroLinux spec file,
- svga package build only on %%ix86 architectures,
- rewrited %build and %install and added corect %attr description in %files,
- added BuildRequires rules.

Revision 1.2  2000/01/30 19:14:11  mkochano
- Removed 'awe_voice.h' from list of sources. Newer version of this
  file is currently incl
- Removed 'awe_voice.h' from list of sources. Newer version of this
  file is currently included in kernel sources.
- Added removal of 'awe_voice.h' included in *.tar.gz in %prep
  section.
- Removed 'playmidi-2.3-awe2.patch', beacuse it is no longer needed
  (see above for reason).
- Moved 'splaymidi' (SVGAlib version) to separate package.
- Replaced 'i386' with '%ix86'.
- Manuals moved to '%_mandir'.
- Gzipped documentation and manuals.
- Default attributes set to (644, root, root, 755).
- Added polish 'Summary', 'Group' and 'Description'.
- release++

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

Spec based on RH version.
